#
# spec file for package hex
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           hex
License:        BSD-3-Clause
Group:          Development/Tools/Other
Provides:       util-linux:/usr/bin/hex
AutoReqProv:    on
Version:        1.4
Release:        280.5
Url:            http://ibiblio.org/pub/Linux/utils/file/hex/!INDEX.html
Summary:        Yet Another Hex Dumper
Source:         %{name}-%{version}.tar.gz
Patch:          %{name}-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A hex dumper that does CP/M and EBCDIC formatting and has
internationalization support.



%prep
%setup
%patch

%build
make clean
make CFLAGS="$RPM_OPT_FLAGS -Wall" CC="%{__cc}"

%install
mkdir -p "$RPM_BUILD_ROOT"{%{_mandir}/man1,%{_bindir}}
make install DESTDIR="$RPM_BUILD_ROOT" MANDIR=%{_mandir}

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%doc READ.ME
%doc %{_mandir}/man?/*
%{_bindir}/hex

%changelog
* Fri Sep 30 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 schwab@suse.de
- Use RPM_OPT_FLAGS.
- Don't strip binaries.
* Fri Feb 27 2004 ro@suse.de
- fix non-root build
* Fri Feb 27 2004 hmacht@suse.de
- build as non-root
* Thu Jul 24 2003 mjancar@suse.cz
- update to 1.4
* Fri Feb 14 2003 vbobek@suse.cz
- updated to version 1.3
- fixed overstrike in manpage
* Thu Mar 22 2001 ro@suse.de
- added split-aliases as provides
* Mon Feb  5 2001 kukuk@suse.de
- Initial package, split from util-linux
